| GlsMap Toolkit 1.10.2

Public Member Functions | Protected Attributes | List of all members
disti::DNCUtil::QueryResults::FeatureDescription::AttributePair Class Reference

`#include <dnc_util.h>`

## Public Member Functions
| AttributePair (const char *const attribName, const char *const attribVal)
| ~AttributePair ()
bool | IsValid (void) const
const char * | GetName (void) const
const char * | GetValue (void) const

## Protected Attributes
VPFUtil::WarningBool | _isValid
const DNCString | _attribName
const DNCString | _attribVal

## Detailed Description

encapsulates a feature attribute name and its value

## Constructor & Destructor Documentation

## ◆ AttributePair()

DNCUtil::QueryResults::FeatureDescription::AttributePair::AttributePair | ( | const char *const | attribName,
|  | const char *const | attribVal
| ) |  |

Ctor

Parameters

  attribName | name of feature attribute
  attribVal | value of feature attribute

## ◆ ~AttributePair()

DNCUtil::QueryResults::FeatureDescription::AttributePair::~AttributePair | ( |  | ) |

Dtor

## Member Function Documentation

## ◆ GetName()

const char * disti::DNCUtil::QueryResults::FeatureDescription::AttributePair::GetName | ( | void |  | ) | const
| inline

Get the name of the feature attribute

Returns
  name of the feature attribute

## ◆ GetValue()

const char * disti::DNCUtil::QueryResults::FeatureDescription::AttributePair::GetValue | ( | void |  | ) | const
| inline

Get the value of the feature attribure

Returns
  value of the feature attribure

## ◆ IsValid()

bool disti::DNCUtil::QueryResults::FeatureDescription::AttributePair::IsValid | ( | void |  | ) | const
| inline

Determine if the attribute pair is valid

Returns
  true if valid else false

## Member Data Documentation

## ◆ _attribName

const DNCString disti::DNCUtil::QueryResults::FeatureDescription::AttributePair::_attribName
| protected

name of feature attribute

## ◆ _attribVal

const DNCString disti::DNCUtil::QueryResults::FeatureDescription::AttributePair::_attribVal
| protected

value of feature attribute

## ◆ _isValid

VPFUtil::WarningBool disti::DNCUtil::QueryResults::FeatureDescription::AttributePair::_isValid
| protected

true if attribute pair is valid else false

The documentation for this class was generated from the following files:

- dnc_util.h
- dnc_util.cpp